> For the complete documentation index, see [llms.txt](https://glu.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glu.gitbook.io/docs/api-reference/organisation-api/contact.md).

# Contact

A stored credit account contains all balance changes.

## List all contacts

> Returns a list of contacts.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Contact","description":"A stored credit account contains all balance changes."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Contact-contact.read":{"type":"object","description":"A contact represents a person or organisation that interacts with the system. Contacts can have multiple associated addresses, payment methods, and activities. Contacts are used to track interactions, purchases, and other activities within the system.","properties":{"id":{"readOnly":true,"type":"integer"},"emailAddress":{"format":"email","type":["string","null"]},"dob":{"type":["string","null"],"format":"date-time"},"phoneNumber":{"type":["string","null"]},"organisation":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"referralInvites":{"type":"array","items":{"type":"integer"}},"firstName":{"default":"","type":"string"},"lastName":{"default":"","type":"string"},"name":{"default":"","type":"string"},"phoneNumberCountryCode":{"type":["string","null"]},"timezone":{"default":"Europe/London","type":"string"},"totalSpend":{"default":0,"type":"integer"},"recency":{"type":["integer","null"]},"frequency":{"type":["integer","null"]},"monetary":{"type":["integer","null"]},"lastInteractedAt":{"type":"string","format":"date-time"},"customFieldValues":{"type":"array","items":{"$ref":"#/components/schemas/ContactCustomFieldValue-contact.read"}},"totalOrders":{"default":0,"type":"integer"},"redactedAt":{"type":["string","null"],"format":"date-time"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag-contact.read"},"readOnly":true}}},"ContactCustomFieldValue-contact.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"customFieldDefinition":{"type":"integer"},"value":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"displayValue":{"readOnly":true,"description":"Get display value for UI presentation.","type":["string","null"]}}},"Tag-contact.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"systemDefined":{"default":false,"type":"boolean"}},"required":["name"]},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/contacts":{"get":{"operationId":"api_contacts_get_collection","tags":["Contact"],"responses":{"200":{"description":"Contact collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Contact-contact.read"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List all contacts","description":"Returns a list of contacts.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true},{"name":"dob[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"dob[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"dob[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"dob[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"lastInteractedAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"lastInteractedAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"lastInteractedAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"lastInteractedAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"referredAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"referredAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"referredAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"referredAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"redactedAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"redactedAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"redactedAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"redactedAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"emailAddress","in":"query","description":"Contact emailAddress","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":true},{"name":"emailAddress[]","in":"query","description":"Contact emailAddress","required":false,"deprecated":false,"schema":{"type":"array","items":{"type":"string"}},"style":"deepObject","explode":true}]}}}}
```

## Create or update a contact

> Creates a new contact or updates an existing one if a matching email address is found. The emailAddress field is required.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Contact","description":"A stored credit account contains all balance changes."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Contact-contact.read":{"type":"object","description":"A contact represents a person or organisation that interacts with the system. Contacts can have multiple associated addresses, payment methods, and activities. Contacts are used to track interactions, purchases, and other activities within the system.","properties":{"id":{"readOnly":true,"type":"integer"},"emailAddress":{"format":"email","type":["string","null"]},"dob":{"type":["string","null"],"format":"date-time"},"phoneNumber":{"type":["string","null"]},"organisation":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"referralInvites":{"type":"array","items":{"type":"integer"}},"firstName":{"default":"","type":"string"},"lastName":{"default":"","type":"string"},"name":{"default":"","type":"string"},"phoneNumberCountryCode":{"type":["string","null"]},"timezone":{"default":"Europe/London","type":"string"},"totalSpend":{"default":0,"type":"integer"},"recency":{"type":["integer","null"]},"frequency":{"type":["integer","null"]},"monetary":{"type":["integer","null"]},"lastInteractedAt":{"type":"string","format":"date-time"},"customFieldValues":{"type":"array","items":{"$ref":"#/components/schemas/ContactCustomFieldValue-contact.read"}},"totalOrders":{"default":0,"type":"integer"},"redactedAt":{"type":["string","null"],"format":"date-time"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag-contact.read"},"readOnly":true}}},"ContactCustomFieldValue-contact.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"customFieldDefinition":{"type":"integer"},"value":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"displayValue":{"readOnly":true,"description":"Get display value for UI presentation.","type":["string","null"]}}},"Tag-contact.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"systemDefined":{"default":false,"type":"boolean"}},"required":["name"]},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}},"ConstraintViolation.jsonld":{"type":"object","description":"Unprocessable entity","properties":{"status":{"default":422,"type":"integer"},"violations":{"type":"array","items":{"type":"object","properties":{"propertyPath":{"type":"string","description":"The property path of the violation"},"message":{"type":"string","description":"The message associated with the violation"},"code":{"type":"string","description":"The code of the violation"},"hint":{"type":"string","description":"An extra hint to understand the violation"},"payload":{"type":"object","additionalProperties":true,"description":"The serialized payload of the violation"}},"required":["propertyPath","message"]}},"detail":{"readOnly":true,"type":"string"},"description":{"readOnly":true,"type":"string"},"type":{"readOnly":true,"type":"string"},"title":{"readOnly":true,"type":["string","null"]},"instance":{"readOnly":true,"type":["string","null"]}}},"ConstraintViolation":{"type":"object","description":"Unprocessable entity","properties":{"status":{"default":422,"type":"integer"},"violations":{"type":"array","items":{"type":"object","properties":{"propertyPath":{"type":"string","description":"The property path of the violation"},"message":{"type":"string","description":"The message associated with the violation"},"code":{"type":"string","description":"The code of the violation"},"hint":{"type":"string","description":"An extra hint to understand the violation"},"payload":{"type":"object","additionalProperties":true,"description":"The serialized payload of the violation"}},"required":["propertyPath","message"]}},"detail":{"readOnly":true,"type":"string"},"type":{"readOnly":true,"type":"string"},"title":{"readOnly":true,"type":["string","null"]},"instance":{"readOnly":true,"type":["string","null"]}}},"Contact-contact.write":{"type":"object","description":"A contact represents a person or organisation that interacts with the system. Contacts can have multiple associated addresses, payment methods, and activities. Contacts are used to track interactions, purchases, and other activities within the system.","properties":{"id":{"readOnly":true,"type":"integer"},"emailAddress":{"format":"email","type":["string","null"]},"dob":{"type":["string","null"],"format":"date-time"},"phoneNumber":{"type":["string","null"]},"organisation":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"firstName":{"default":"","type":"string"},"lastName":{"default":"","type":"string"},"name":{"default":"","type":"string"},"phoneNumberCountryCode":{"type":["string","null"]},"timezone":{"default":"Europe/London","type":"string"},"totalSpend":{"default":0,"type":"integer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/ContactTag-contact.write"}},"recency":{"type":["integer","null"]},"frequency":{"type":["integer","null"]},"monetary":{"type":["integer","null"]},"lastInteractedAt":{"type":"string","format":"date-time"},"customFieldValues":{"type":"array","items":{"$ref":"#/components/schemas/ContactCustomFieldValue-contact.write"}},"totalOrders":{"default":0,"type":"integer"},"redactedAt":{"type":["string","null"],"format":"date-time"}}},"ContactTag-contact.write":{"type":"object"},"ContactCustomFieldValue-contact.write":{"type":"object","properties":{"value":{"type":["string","null"]}}}}},"paths":{"/contacts":{"post":{"operationId":"api_contacts_post","tags":["Contact"],"responses":{"201":{"description":"Contact resource created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact-contact.read"}}},"links":{}},"400":{"description":"Invalid input","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/ConstraintViolation.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/ConstraintViolation"}},"application/json":{"schema":{"$ref":"#/components/schemas/ConstraintViolation"}}},"links":{}}},"summary":"Create or update a contact","description":"Creates a new contact or updates an existing one if a matching email address is found. The emailAddress field is required.","parameters":[],"requestBody":{"description":"The new Contact resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact-contact.write"}}},"required":true}}}}}
```

## Retrieve a contact

> Retrieve a contact

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Contact","description":"A stored credit account contains all balance changes."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Contact-contact.read":{"type":"object","description":"A contact represents a person or organisation that interacts with the system. Contacts can have multiple associated addresses, payment methods, and activities. Contacts are used to track interactions, purchases, and other activities within the system.","properties":{"id":{"readOnly":true,"type":"integer"},"emailAddress":{"format":"email","type":["string","null"]},"dob":{"type":["string","null"],"format":"date-time"},"phoneNumber":{"type":["string","null"]},"organisation":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"referralInvites":{"type":"array","items":{"type":"integer"}},"firstName":{"default":"","type":"string"},"lastName":{"default":"","type":"string"},"name":{"default":"","type":"string"},"phoneNumberCountryCode":{"type":["string","null"]},"timezone":{"default":"Europe/London","type":"string"},"totalSpend":{"default":0,"type":"integer"},"recency":{"type":["integer","null"]},"frequency":{"type":["integer","null"]},"monetary":{"type":["integer","null"]},"lastInteractedAt":{"type":"string","format":"date-time"},"customFieldValues":{"type":"array","items":{"$ref":"#/components/schemas/ContactCustomFieldValue-contact.read"}},"totalOrders":{"default":0,"type":"integer"},"redactedAt":{"type":["string","null"],"format":"date-time"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag-contact.read"},"readOnly":true}}},"ContactCustomFieldValue-contact.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"customFieldDefinition":{"type":"integer"},"value":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"displayValue":{"readOnly":true,"description":"Get display value for UI presentation.","type":["string","null"]}}},"Tag-contact.read":{"type":"object","properties":{"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"systemDefined":{"default":false,"type":"boolean"}},"required":["name"]},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/contacts/{id}":{"get":{"operationId":"api_contacts_id_get","tags":["Contact"],"responses":{"200":{"description":"Contact resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact-contact.read"}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieve a contact","description":"Retrieve a contact","parameters":[{"name":"id","in":"path","description":"Contact identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}}}
```

## List stored credit accounts for a contact

> Returns all stored credit accounts associated with the given contact.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Contact","description":"A stored credit account contains all balance changes."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Stored.credit.accounts-storedcreditaccount.read":{"type":"object","description":"A stored credit account contains all balance changes.","properties":{"id":{"readOnly":true,"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"contact":{"type":["string","null"],"format":"iri-reference"},"giftCard":{"type":["string","null"],"format":"iri-reference"},"balances":{"type":"array","items":{"type":"integer"}},"attachedMember":{"type":["string","null"],"format":"iri-reference"},"type":{"type":"string","enum":["Gift Card","Member Credit"]},"currencyCode":{"type":["string","null"]},"currentBalance":{"type":["integer","null"]},"startingBalance":{"type":["integer","null"]},"pointsBased":{"default":false,"type":"boolean"},"code":{"readOnly":true,"type":"string"}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/contacts/{id}/credit_accounts":{"get":{"operationId":"api_contacts_idcredit_accounts_get_collection","tags":["Contact"],"responses":{"200":{"description":"Stored credit accounts collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Stored.credit.accounts-storedcreditaccount.read"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List stored credit accounts for a contact","description":"Returns all stored credit accounts associated with the given contact.","parameters":[{"name":"id","in":"path","description":"Contact identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"updatedAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"type","in":"query","description":"Stored credit accounts type","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":true},{"name":"type[]","in":"query","description":"Stored credit accounts type","required":false,"deprecated":false,"schema":{"type":"array","items":{"type":"string"}},"style":"deepObject","explode":true}]}}}}
```

## List payment methods for a contact

> Returns all payment methods associated with the given contact.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Contact","description":"A stored credit account contains all balance changes."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"ContactPaymentMethod-contact_payment_method.read":{"type":"object","description":"Represents a payment method associated with a contact.","properties":{"id":{"readOnly":true,"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"gateway":{"type":"string"},"type":{"type":"string","enum":["card","bacs_debit","sepa_debit","stripe_link","revolut_pay","klarna"]},"cardBrand":{"type":["string","null"]},"cardLast4":{"type":["string","null"]},"cardExpMonth":{"type":["integer","null"]},"cardExpYear":{"type":["integer","null"]},"gatewayId":{"type":"string"},"bacsLast4":{"type":["string","null"]},"bacsSortCode":{"type":["string","null"]},"first":{"default":false,"type":"boolean"},"bankName":{"default":"","type":"string"},"status":{"type":"string","enum":["Active","Deleted","Pending","Failed","Expired","Cancelled"]}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/contacts/{id}/payment_methods":{"get":{"operationId":"api_contacts_idpayment_methods_get_collection","tags":["Contact"],"responses":{"200":{"description":"ContactPaymentMethod collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContactPaymentMethod-contact_payment_method.read"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List payment methods for a contact","description":"Returns all payment methods associated with the given contact.","parameters":[{"name":"id","in":"path","description":"Contact identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}}}}
```

## List stored credit accounts for a contact

> Returns all stored credit accounts associated with the given contact.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"Contact","description":"A stored credit account contains all balance changes."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"Referral.programs-referral.read":{"type":"object","description":"A referral program defines the rules and rewards for customers referring others to purchase a product. Each referral program is associated with a specific product and can have its own unique terms, incentives, and sharing content.","properties":{"id":{"readOnly":true,"type":"integer"},"product":{"type":"integer"},"terms":{"default":"","type":["string","null"]},"incentiveDiscountAmount":{"type":["integer","null"]},"incentiveDiscountType":{"default":"FixedAmount","type":["string","null"],"enum":["FixedAmount","Percentage",null]},"shareTitle":{"type":"string"},"shareText":{"type":"string"},"shareUrl":{"type":"string"},"tags":{"type":"array","items":{"type":"integer"}},"inviteEmailSubject":{"default":"","type":"string"},"inviteEmailContent":{"default":"","type":"string"},"inviteEmailDelay":{"minimum":0,"exclusiveMinimum":0,"default":0,"type":"integer"},"newContactsOnly":{"type":"boolean"},"sendInviteEmail":{"default":true,"type":"boolean"}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/contacts/{id}/referral_programs":{"get":{"operationId":"api_contacts_idreferral_programs_get_collection","tags":["Contact"],"responses":{"200":{"description":"Referral programs collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Referral.programs-referral.read"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List stored credit accounts for a contact","description":"Returns all stored credit accounts associated with the given contact.","parameters":[{"name":"id","in":"path","description":"Referral programs identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true},{"name":"type","in":"query","description":"Referral programs type","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":true},{"name":"type[]","in":"query","description":"Referral programs type","required":false,"deprecated":false,"schema":{"type":"array","items":{"type":"string"}},"style":"deepObject","explode":true}]}}}}
```
